<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ SPDX-FileCopyrightText: The maven-build-process Authors
  ~ SPDX-License-Identifier: 0BSD
  -->
<project xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://maven.apache.org/POM/4.0.0"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- ordering follows https://maven.apache.org/developers/conventions/code.html#POM_Code_Convention -->

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                                 PARENT                                  -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Inheritance -->
    <parent>
        <groupId>wtf.metio.maven.boms</groupId>
        <artifactId>maven-boms</artifactId>
        <version>9999.99.99-SNAPSHOT</version>
    </parent>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                               COORDINATES                               -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Maven_Coordinates -->
    <artifactId>maven-boms-builder</artifactId>
    <packaging>pom</packaging>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                               INFORMATIONS                              -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#More_Project_Information -->
    <name>Maven BOMs :: Builder</name>
    <description>Builder-pattern related dependencies</description>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                                PROPERTIES                               -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Properties -->
    <properties>
        <version.freebuilder>2.8.0</version.freebuilder>
        <version.record-builder>37</version.record-builder>
    </properties>

    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!--                            DEPENDENCY MANAGEMENT                        -->
    <!-- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -->
    <!-- https://maven.apache.org/pom.html#Dependency_Management -->
    <dependencyManagement>
        <dependencies>
            <!-- FreeBuilder -->
            <!-- https://freebuilder.inferred.org/ -->
            <dependency>
                <groupId>org.inferred</groupId>
                <artifactId>freebuilder</artifactId>
                <version>${version.freebuilder}</version>
            </dependency>

            <!-- RecordBuilder -->
            <!-- https://github.com/Randgalt/record-builder -->
            <dependency>
                <groupId>io.soabase.record-builder</groupId>
                <artifactId>record-builder-core</artifactId>
                <version>${version.record-builder}</version>
            </dependency>
        </dependencies>
    </dependencyManagement>

</project>
